Bug 2232638 - Anaconda Quit button in Gnome minimal session should say Reboot
Summary: Anaconda Quit button in Gnome minimal session should say Reboot
Keywords:
Status: NEW
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda-webui
Version: rawhide
Hardware: Unspecified
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Katerina Koukiou
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: AnacondaWebUITracker
TreeView+ depends on / blocked
 
Reported: 2023-08-17 17:11 UTC by Martin Kolman
Modified: 2024-03-01 21:19 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: ---
Embargoed:


Attachments (Terms of Use)
Quit button in web UI in minimal Gnome Shell session (32.94 KB, image/png)
2023-08-17 17:16 UTC, Martin Kolman
no flags Details
Screencast clickin on quit button before ending install (739.92 KB, video/webm)
2023-08-25 01:36 UTC, Geraldo Simião
no flags Details

Description Martin Kolman 2023-08-17 17:11:50 UTC
When installation from Fedora Workstation Live image via the Anaconda Web UI successfully finishes, there is a final screen noting that the installation has been successful and a Quit button.

Unfortunately, this Quit button will not just quit the installer, it will actually reboot the Live environment. This is not totally wrong & can effectively result in a better UX to previous Live image installation workflow (where the user had to fish for a reboot option after quitting the installer), but the button label should be changed to "Reboot" to better describe what will happen.

NOTE: Right now it is also possible to launch the installer from the Live desktop environment. In this case the Quit button actually makes sense, as it will just quit the installer & keep the Live desktop environment running. So we will need to either ensure the installer icon in the Live environment launches the installer also in the limited environment or special-case the Quit button label to behave different based on the Gnome session being used on the Fedora Workstation Live image.

Reproducible: Always

Steps to Reproduce:
0. download and boot https://fedorapeople.org/groups/anaconda/webui/temp/Fedora-Workstation_GIS.iso or use a Live image that has already switched to GIS & Web UI
1. select language & keyboard in GIS
2. select the "Install" option
3. complete the installation
Actual Results:  
There is a Quit button on the last page. Clicking the Quit button reboots the system.

Expected Results:  
There should be a Reboot button on the last screen when running in the Gnome Shell minimal session.

Comment 1 Martin Kolman 2023-08-17 17:16:28 UTC
Created attachment 1983854 [details]
Quit button in web UI in minimal Gnome Shell session

This should say Reboot instead.

Comment 2 Martin Kolman 2023-08-17 17:17:34 UTC
Created attachment 1983855 [details]
Quit button in web UI in Live desktop

This is actually correct as long as the installer Web UI actually runs in the Live Desktop, not the minimal session.

Comment 3 Adam Williamson 2023-08-24 17:54:40 UTC
Proposing this for a Beta FE, we should definitely fix this for Beta to avoid confusing folks.

Comment 4 Geraldo Simião 2023-08-25 00:56:19 UTC
confirmed that on Fedora-Workstation-Live-x86_64-39-20230824.n.0.iso too.

Comment 5 Geraldo Simião 2023-08-25 01:36:58 UTC
Created attachment 1985181 [details]
Screencast clickin on quit button before ending install

Before ending the installation, clicking the quit button reboot the machine too.
So, if a user forget to test something before trying to install, on the live-session, and then try to close the installer by clicking on the quit button and confirming, thi will reboot the machine.

Comment 6 Geraldo Simião 2023-08-25 01:37:39 UTC
Forgot to add the versions tested:
anaconda-webui-39.32-1.fc39.x86_64
Fedora-Workstation-Live-x86_64-39-20230824.n.0.iso

Comment 7 Martin Kolman 2023-08-25 10:45:50 UTC
As I've mentioned in the description, its a bit tricky due to the button essentially doing two things based on how Anaconda is launched. IIRC Allan (CCed) had some suggestions/ideas for making the installer switch to the minimal session even when launched from the desktop, but I'm not sure if that is doable for the Beta.

So I think we will have to teach Anaconda to detect in which session it is running (live-desktop or live-minimal) and make the reboot button (and nything else that might be affected, for the matter) behave correctly.

Comment 8 Adam Williamson 2023-08-27 16:19:05 UTC
+3 in https://pagure.io/fedora-qa/blocker-review/issue/1194 , marking accepted.

Comment 9 Allan Day 2023-08-30 14:41:00 UTC
"Restart" is the standard term that gets used in desktop contexts (that word is used by Windows, Mac and GNOME).

Comment 10 Adam Williamson 2023-09-12 22:15:15 UTC
As webUI has been deferred to F40, deferring the FE status of this bug.

Comment 11 Leslie Satenstein 2024-02-06 17:30:02 UTC
Comment.

Everything.iso anaconda should could [reboot] as there is no backing live iso.  For consistency with live iso's consider [exit];

exit refers to leaving anaconda.

Workspace type installations (gnome, kde, xfce ... ) where the exiting is returning back to the live iso should be [exit], rather than [return]

Comment 12 Adam Williamson 2024-02-07 20:12:04 UTC
Huh. I just went through webUI bugs retesting them, and right now this button actually seems to be completely *broken* in Rawhide. Clicking it (after doing an install using the minimal session) appears to do nothing at all.

(openQA didn't catch this because it doesn't use the button, it always switches to a console at the end of install and reboots from there, because we often have to do post-install tasks at the console).

Comment 13 Martin Kolman 2024-02-08 12:41:36 UTC
I think this should be fixed in 40.21 when it hits the compose.

Comment 14 Martin Kolman 2024-02-08 12:42:15 UTC
Sorry, I should be more precise - the button should do stuff again, but the Quit/Reboot bug will still be there.

Comment 15 Adam Williamson 2024-02-08 23:11:03 UTC
Thanks. I thought of trying to write a fix for this, but I'm really not sure what would be the Right Way for the installer to decide whether it's in the minimal environment or a full desktop...

Comment 16 Martin Kolman 2024-02-12 14:20:54 UTC
(In reply to Adam Williamson from comment #15)
> Thanks. I thought of trying to write a fix for this, but I'm really not sure
> what would be the Right Way for the installer to decide whether it's in the
> minimal environment or a full desktop...

Yeah, that's pretty much the main issues - from machine readable data the environment is almost the same, its just that Anaconda launched from a different source - Gnome Initial Setup vs by user clicking on an icon.

So I'm mainly looking into that, if there is something robust I can check (most likely call some tool or check some file via the cockpit bridge API, directly from the Web UI code) & then changing the label on the button is of course trivial.

Comment 17 Leslie Satenstein 2024-02-12 18:48:05 UTC
I have this thought

exit=>sortie (French)
exit->Salida (Spanish)
exit->Uscita (Italian)
exit=>saída (Portugese)

With a live ISO like for example "everything.iso",  exit and return are synonymous. They have the same meaning but the exit is back to reboot. Ditto for the above latin langauges.
With a workstation.iso  exit and return again have the same understanding, back to the calling routine, 

With "exit" in English, one and only one version of anaconda or it's replacement is required, and likewise for the translated versions.

That is why I like "exit" as the keyword and as the replacement for quit and return.

If you don't like it for Fedora 40, the door is not closed, then you can change it later.

Comment 18 Adam Williamson 2024-03-01 21:19:13 UTC
As this is a webUI specific bug and webUI was deferred to F41, tracking it and treating it as an FE for F40 no longer makes sense. Updating appropriately.


Note You need to log in before you can comment on or make changes to this bug.